Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.theme
Class FQN

    java.lang.Object
      org.jboss.portal.theme.FQN

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  ServerRegistrationID

Deprecated. Defines a reusable and generic full qualified name.

    public class FQN

extends java.lang.Object
implements java.io.Serializable

Version:
  $Revision: 8784 $
Author:
  Julien Viet
See Also:
  Serialized Form

Field Summary
`protected java.lang.String[]` | `names` Deprecated. The list of objects.

Constructor Summary
`FQN()` Deprecated.
`FQN(FQN base, FQN relative)` Deprecated.
`FQN(FQN base, java.lang.String name)` Deprecated.
`FQN(FQN base, java.lang.String[] relative)` Deprecated.
`FQN(java.lang.String name)` Deprecated.
`FQN(java.lang.String[] names)` Deprecated.

Method Summary
`boolean` | `equals(java.lang.Object obj)` Deprecated.
`java.lang.String` | `getName(int index)` Deprecated.
`int` | `hashCode()` Deprecated.
`boolean` | `isChildOf(FQN parent)` Deprecated.
`int` | `size()` Deprecated.
`java.lang.String[]` | `toArray()` Deprecated.
`java.lang.String` | `toString()` Deprecated.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### names

    protected java.lang.String[] names

  Deprecated.
  The list of objects.

Constructor Detail

### FQN

    public FQN()

  Deprecated.

### FQN

    public FQN(java.lang.String name)
        throws java.lang.IllegalArgumentException

  Deprecated.
  Throws:
    `java.lang.IllegalArgumentException`

### FQN

    public FQN(java.lang.String[] names)
        throws java.lang.IllegalArgumentException

  Deprecated.
  Throws:
    `java.lang.IllegalArgumentException`

### FQN

    public FQN(FQN base,
               java.lang.String name)
        throws java.lang.IllegalArgumentException

  Deprecated.
  Throws:
    `java.lang.IllegalArgumentException`

### FQN

    public FQN(FQN base,
               java.lang.String[] relative)
        throws java.lang.IllegalArgumentException

  Deprecated.
  Throws:
    `java.lang.IllegalArgumentException`

### FQN

    public FQN(FQN base,
               FQN relative)
        throws java.lang.IllegalArgumentException

  Deprecated.
  Throws:
    `java.lang.IllegalArgumentException`

Method Detail

### size

    public int size()

  Deprecated.

### getName

    public java.lang.String getName(int index)
                             throws java.lang.ArrayIndexOutOfBoundsException

  Deprecated.
  Throws:
    `java.lang.ArrayIndexOutOfBoundsException`

### toArray

    public java.lang.String[] toArray()

  Deprecated.

### isChildOf

    public boolean isChildOf(FQN parent)
                      throws java.lang.IllegalArgumentException

  Deprecated.
  Throws:
    `java.lang.IllegalArgumentException`

### equals

    public boolean equals(java.lang.Object obj)

  Deprecated.
  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Deprecated.
  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Deprecated.
  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD